Bug 879738 - Review Request: mu-maildir - maildir indexer and query tool
Review Request: mu-maildir - maildir indexer and query tool
Status: CLOSED DUPLICATE of bug 821917
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 879735 879737 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-23 19:45 EST by gvalkov
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-09 03:48:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description gvalkov 2012-11-23 19:45:52 EST
Spec URL: https://dl.dropbox.com/u/23916303/ee6phiYi/mu-maildir.spec
SRPM URL: https://dl.dropbox.com/u/23916303/ee6phiYi/mu-maildir-0.9.9-1.fc17.src.rpm

Description:
> Mu is a tool for dealing with e-mail messages stored in the Maildir
> format. Mu's main purpose is to quickly find and manipulate
> messages. Features include:
> 
>  - Fast indexing of Maildir, Maildir+ and Maildir-on-VFAT
>  - Searching for messages based on numerous criteria
>  - Support for encrypted and signed messages
>  - Access/case normalization
>  - Integration with other email clients such as mutt and wanderlust

%description -n emacs-mu4e
> Mu4e is an email client for Emacs that uses the mu utility to interact
> with Maildir mailboxes. Mu4e is designed to enable super-efficient
> handling of email: searching, reading, replying, moving and
> deleting. Features include:
> 
>  - Fully search-based: there are no folders, only queries
>  - UI optimized for speed with quick key strokes for common actions
>  - Fully documented, with example configurations
>  - Asynchronous: heavy actions never block emacs
>  - Write rich-text emails using org-mode (experimental)
>  - Address auto-completion based on your messages
>  - Extendable in many places using custom actions

In short, this package provides the mu maildir indexer and the mu4e emacs mode
built on top of mu. They share the same code base. Packages that the attached
spec produces:

> mu-maildir
> emacs-mu4e
> emacs-mu4e-el

The upstream name is indeed just 'mu', but 'mu-maildir' seemed like a more
reasonable name for the main package. In Debian, 'mu' is packaged as
'maildir-utils'.

> $ rpmlint mu-maildir.spec
> mu-maildir.spec: W: invalid-url Source0: http://mu0.googlecode.com/files/mu-0.9.9.tar.gz HTTP Error 404: Not Found
> 0 packages and 1 specfiles checked; 0 errors, 1 warnings.

The warning can be disregarded (see Bug 767739).

This is my first package review request. I would be thankful to anyone willing
to sponsor me.

Fedora Account System Username: gvalkov
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=4722684
Comment 1 gvalkov 2012-11-23 20:14:32 EST
Apparently, there has been another effort to package mu and mu4e into fedora - Bug 821917. Bugzilla wasn't very helpful the first time I tried searching for mu4e and mu, so I don't feel particularly bad about this being a duplicate.
Comment 2 Michael Scherer 2012-11-24 05:06:35 EST
*** Bug 879735 has been marked as a duplicate of this bug. ***
Comment 3 Michael Scherer 2012-11-24 05:06:42 EST
*** Bug 879737 has been marked as a duplicate of this bug. ***
Comment 4 Jos de Kloe 2012-11-28 16:19:25 EST
Thanks for your effort. Yes, this is a duplicate of Bug 821917, so you should mark this one as a duplicate and close it.
Comment 5 Fabian Affolter 2013-02-09 03:48:55 EST

*** This bug has been marked as a duplicate of bug 821917 ***

Note You need to log in before you can comment on or make changes to this bug.